# Method: buyers.clients.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.ListClientsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#try-it)

Lists all the clients for the current buyer.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1/{parent=buyers/*}/clients`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the buyer. Format: `buyers/{accountId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. If left blank, a default page size of 500 will be applied. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of \[ListClientsResponse.nextPageToken\]\[nextPageToken\] returned from the previous call to the \[list\]\[clients.list\] method. |
| `filter` | `string` Query string using the [Filtering Syntax](https://developers.google.com/authorized-buyers/apis/guides/list-filters) Supported fields for filtering are: - partnerClientId Use this field to filter the clients by the partnerClientId. For example, if the partnerClientId of the client is "1234", the value of this field should be `partnerClientId = "1234"`, in order to get only the client whose partnerClientId is "1234" in the response. |

### Request body

The request body must be empty.

### Response body

Response message for the \[list\]\[clients.list\] method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "clients": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients#Client`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `clients[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients#Client`)`` The returned list of clients. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.clients/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to the \[list\]\[clients.list\] method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`